// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		4A58389189F730DB4683F99A /* Pods_Crypto_Rater.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 5815812E06808ACFB748E020 /* Pods_Crypto_Rater.framework */; };
		853C6C762830DB4E002DECB4 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 853C6C752830DB4E002DECB4 /* AppDelegate.swift */; };
		853C6C7F2830DB50002DECB4 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 853C6C7E2830DB50002DECB4 /* Assets.xcassets */; };
		853C6C822830DB50002DECB4 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 853C6C802830DB50002DECB4 /* LaunchScreen.storyboard */; };
		85F172162830E11B00826FC2 /* App.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172152830E11B00826FC2 /* App.swift */; };
		85F172192830E60200826FC2 /* UIColor+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172182830E60200826FC2 /* UIColor+Extensions.swift */; };
		85F1721B2830E60C00826FC2 /* String+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1721A2830E60C00826FC2 /* String+Extensions.swift */; };
		85F1721D2830E86200826FC2 /* UIImageView+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1721C2830E86200826FC2 /* UIImageView+Extensions.swift */; };
		85F1721F2830E93F00826FC2 /* UILabel+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1721E2830E93F00826FC2 /* UILabel+Extensions.swift */; };
		85F172212830E98300826FC2 /* UIViewController+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172202830E98300826FC2 /* UIViewController+Extensions.swift */; };
		85F172272830EAF400826FC2 /* BaseViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172262830EAF400826FC2 /* BaseViewController.swift */; };
		85F1722A2830F0D100826FC2 /* StorageManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172292830F0D100826FC2 /* StorageManager.swift */; };
		85F1722E2830FF3B00826FC2 /* ExchangeRateResponseModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1722D2830FF3B00826FC2 /* ExchangeRateResponseModel.swift */; };
		85F172302830FFA500826FC2 /* CryptoCompareAPI.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1722F2830FFA500826FC2 /* CryptoCompareAPI.swift */; };
		85F17232283101F700826FC2 /* RequestParam.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F17231283101F700826FC2 /* RequestParam.swift */; };
		85F17234283102E400826FC2 /* NetworkManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F17233283102E400826FC2 /* NetworkManager.swift */; };
		85F1723B283109F400826FC2 /* FavoriteCoinsPresenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1723A283109F400826FC2 /* FavoriteCoinsPresenter.swift */; };
		85F1723D28310A0000826FC2 /* FavoriteCoinsInteractor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1723C28310A0000826FC2 /* FavoriteCoinsInteractor.swift */; };
		85F1723F28310A1000826FC2 /* FavoriteCoinsDataManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1723E28310A1000826FC2 /* FavoriteCoinsDataManager.swift */; };
		85F1724128310A1700826FC2 /* FavoriteCoinRateVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1724028310A1700826FC2 /* FavoriteCoinRateVM.swift */; };
		85F1724328310A2100826FC2 /* FavoriteCoinsTVCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1724228310A2100826FC2 /* FavoriteCoinsTVCell.swift */; };
		85F1724528310A6100826FC2 /* FavoriteCoinsRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1724428310A6100826FC2 /* FavoriteCoinsRouter.swift */; };
		85F1724828310DBA00826FC2 /* FavoriteCoinsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1724728310DBA00826FC2 /* FavoriteCoinsVC.swift */; };
		85F1724E28310F2200826FC2 /* ReloadButtonView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1724D28310F2200826FC2 /* ReloadButtonView.swift */; };
		85F172502831119200826FC2 /* UIView+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1724F2831119200826FC2 /* UIView+Extensions.swift */; };
		85F172522831133200826FC2 /* Constants.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172512831133200826FC2 /* Constants.swift */; };
		85F172572831416600826FC2 /* AddCoinVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172562831416600826FC2 /* AddCoinVC.swift */; };
		85F172592831416D00826FC2 /* AddCoinPresenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172582831416D00826FC2 /* AddCoinPresenter.swift */; };
		85F1725B2831417800826FC2 /* AddCoinInteractor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1725A2831417800826FC2 /* AddCoinInteractor.swift */; };
		85F1725D2831418000826FC2 /* AddCoinDataManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1725C2831418000826FC2 /* AddCoinDataManager.swift */; };
		85F1725F2831418F00826FC2 /* AddCoinRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1725E2831418F00826FC2 /* AddCoinRouter.swift */; };
		85F1726128314B8300826FC2 /* AddCoinCVCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1726028314B8300826FC2 /* AddCoinCVCell.swift */; };
		85F1726328314E7E00826FC2 /* CoinInfoResponseModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1726228314E7E00826FC2 /* CoinInfoResponseModel.swift */; };
		85F1726528315BF900826FC2 /* CoinVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F1726428315BF900826FC2 /* CoinVM.swift */; };
		85F172672831792500826FC2 /* Debouncer.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85F172662831792500826FC2 /* Debouncer.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		2A5949726D57E64F1C949EC3 /* Pods-Crypto Rater.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Crypto Rater.release.xcconfig"; path = "Target Support Files/Pods-Crypto Rater/Pods-Crypto Rater.release.xcconfig"; sourceTree = "<group>"; };
		5815812E06808ACFB748E020 /* Pods_Crypto_Rater.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Crypto_Rater.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		853C6C722830DB4E002DECB4 /* Crypto Rater.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Crypto Rater.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		853C6C752830DB4E002DECB4 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		853C6C7E2830DB50002DECB4 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		853C6C812830DB50002DECB4 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		853C6C832830DB50002DECB4 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		85F172152830E11B00826FC2 /* App.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = App.swift; sourceTree = "<group>"; };
		85F172182830E60200826FC2 /* UIColor+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIColor+Extensions.swift"; sourceTree = "<group>"; };
		85F1721A2830E60C00826FC2 /* String+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "String+Extensions.swift"; sourceTree = "<group>"; };
		85F1721C2830E86200826FC2 /* UIImageView+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIImageView+Extensions.swift"; sourceTree = "<group>"; };
		85F1721E2830E93F00826FC2 /* UILabel+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UILabel+Extensions.swift"; sourceTree = "<group>"; };
		85F172202830E98300826FC2 /* UIViewController+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIViewController+Extensions.swift"; sourceTree = "<group>"; };
		85F172262830EAF400826FC2 /* BaseViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseViewController.swift; sourceTree = "<group>"; };
		85F172292830F0D100826FC2 /* StorageManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StorageManager.swift; sourceTree = "<group>"; };
		85F1722D2830FF3B00826FC2 /* ExchangeRateResponseModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ExchangeRateResponseModel.swift; sourceTree = "<group>"; };
		85F1722F2830FFA500826FC2 /* CryptoCompareAPI.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CryptoCompareAPI.swift; sourceTree = "<group>"; };
		85F17231283101F700826FC2 /* RequestParam.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RequestParam.swift; sourceTree = "<group>"; };
		85F17233283102E400826FC2 /* NetworkManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkManager.swift; sourceTree = "<group>"; };
		85F1723A283109F400826FC2 /* FavoriteCoinsPresenter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinsPresenter.swift; sourceTree = "<group>"; };
		85F1723C28310A0000826FC2 /* FavoriteCoinsInteractor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinsInteractor.swift; sourceTree = "<group>"; };
		85F1723E28310A1000826FC2 /* FavoriteCoinsDataManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinsDataManager.swift; sourceTree = "<group>"; };
		85F1724028310A1700826FC2 /* FavoriteCoinRateVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinRateVM.swift; sourceTree = "<group>"; };
		85F1724228310A2100826FC2 /* FavoriteCoinsTVCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinsTVCell.swift; sourceTree = "<group>"; };
		85F1724428310A6100826FC2 /* FavoriteCoinsRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinsRouter.swift; sourceTree = "<group>"; };
		85F1724728310DBA00826FC2 /* FavoriteCoinsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FavoriteCoinsVC.swift; sourceTree = "<group>"; };
		85F1724D28310F2200826FC2 /* ReloadButtonView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ReloadButtonView.swift; sourceTree = "<group>"; };
		85F1724F2831119200826FC2 /* UIView+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+Extensions.swift"; sourceTree = "<group>"; };
		85F172512831133200826FC2 /* Constants.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constants.swift; sourceTree = "<group>"; };
		85F172562831416600826FC2 /* AddCoinVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCoinVC.swift; sourceTree = "<group>"; };
		85F172582831416D00826FC2 /* AddCoinPresenter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCoinPresenter.swift; sourceTree = "<group>"; };
		85F1725A2831417800826FC2 /* AddCoinInteractor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCoinInteractor.swift; sourceTree = "<group>"; };
		85F1725C2831418000826FC2 /* AddCoinDataManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCoinDataManager.swift; sourceTree = "<group>"; };
		85F1725E2831418F00826FC2 /* AddCoinRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCoinRouter.swift; sourceTree = "<group>"; };
		85F1726028314B8300826FC2 /* AddCoinCVCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCoinCVCell.swift; sourceTree = "<group>"; };
		85F1726228314E7E00826FC2 /* CoinInfoResponseModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CoinInfoResponseModel.swift; sourceTree = "<group>"; };
		85F1726428315BF900826FC2 /* CoinVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CoinVM.swift; sourceTree = "<group>"; };
		85F172662831792500826FC2 /* Debouncer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Debouncer.swift; sourceTree = "<group>"; };
		B7CC3E352D0EDAC9692EB934 /* Pods-Crypto Rater.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Crypto Rater.debug.xcconfig"; path = "Target Support Files/Pods-Crypto Rater/Pods-Crypto Rater.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		853C6C6F2830DB4E002DECB4 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4A58389189F730DB4683F99A /* Pods_Crypto_Rater.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		853C6C692830DB4D002DECB4 = {
			isa = PBXGroup;
			children = (
				853C6C742830DB4E002DECB4 /* Crypto Rater */,
				853C6C732830DB4E002DECB4 /* Products */,
				BDF69CA27FDDB36FE0B19DF2 /* Pods */,
				D6E18FDBC53C38363D39749B /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		853C6C732830DB4E002DECB4 /* Products */ = {
			isa = PBXGroup;
			children = (
				853C6C722830DB4E002DECB4 /* Crypto Rater.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		853C6C742830DB4E002DECB4 /* Crypto Rater */ = {
			isa = PBXGroup;
			children = (
				85F1722B2830F3A100826FC2 /* Networking */,
				85F172282830F0C600826FC2 /* Utils */,
				85F172242830EAE400826FC2 /* Controllers */,
				85F172172830E5F500826FC2 /* Extensions */,
				85F172152830E11B00826FC2 /* App.swift */,
				853C6C752830DB4E002DECB4 /* AppDelegate.swift */,
				853C6C7E2830DB50002DECB4 /* Assets.xcassets */,
				853C6C802830DB50002DECB4 /* LaunchScreen.storyboard */,
				853C6C832830DB50002DECB4 /* Info.plist */,
			);
			path = "Crypto Rater";
			sourceTree = "<group>";
		};
		85F172172830E5F500826FC2 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				85F172182830E60200826FC2 /* UIColor+Extensions.swift */,
				85F1721A2830E60C00826FC2 /* String+Extensions.swift */,
				85F1721C2830E86200826FC2 /* UIImageView+Extensions.swift */,
				85F1721E2830E93F00826FC2 /* UILabel+Extensions.swift */,
				85F172202830E98300826FC2 /* UIViewController+Extensions.swift */,
				85F1724F2831119200826FC2 /* UIView+Extensions.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		85F172242830EAE400826FC2 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				85F172532831414000826FC2 /* AddCoin */,
				85F17235283109CD00826FC2 /* FavoriteCoins */,
				85F172252830EAEA00826FC2 /* Base */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		85F172252830EAEA00826FC2 /* Base */ = {
			isa = PBXGroup;
			children = (
				85F172262830EAF400826FC2 /* BaseViewController.swift */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		85F172282830F0C600826FC2 /* Utils */ = {
			isa = PBXGroup;
			children = (
				85F1724B28310F1300826FC2 /* views */,
				85F172292830F0D100826FC2 /* StorageManager.swift */,
				85F172512831133200826FC2 /* Constants.swift */,
				85F172662831792500826FC2 /* Debouncer.swift */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		85F1722B2830F3A100826FC2 /* Networking */ = {
			isa = PBXGroup;
			children = (
				85F1722C2830FEE800826FC2 /* Models */,
				85F1722F2830FFA500826FC2 /* CryptoCompareAPI.swift */,
				85F17231283101F700826FC2 /* RequestParam.swift */,
				85F17233283102E400826FC2 /* NetworkManager.swift */,
			);
			path = Networking;
			sourceTree = "<group>";
		};
		85F1722C2830FEE800826FC2 /* Models */ = {
			isa = PBXGroup;
			children = (
				85F1722D2830FF3B00826FC2 /* ExchangeRateResponseModel.swift */,
				85F1726228314E7E00826FC2 /* CoinInfoResponseModel.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		85F17235283109CD00826FC2 /* FavoriteCoins */ = {
			isa = PBXGroup;
			children = (
				85F17237283109E300826FC2 /* views */,
				85F17236283109DE00826FC2 /* models */,
				85F1724728310DBA00826FC2 /* FavoriteCoinsVC.swift */,
				85F1723A283109F400826FC2 /* FavoriteCoinsPresenter.swift */,
				85F1723C28310A0000826FC2 /* FavoriteCoinsInteractor.swift */,
				85F1723E28310A1000826FC2 /* FavoriteCoinsDataManager.swift */,
				85F1724428310A6100826FC2 /* FavoriteCoinsRouter.swift */,
			);
			path = FavoriteCoins;
			sourceTree = "<group>";
		};
		85F17236283109DE00826FC2 /* models */ = {
			isa = PBXGroup;
			children = (
				85F1724028310A1700826FC2 /* FavoriteCoinRateVM.swift */,
			);
			path = models;
			sourceTree = "<group>";
		};
		85F17237283109E300826FC2 /* views */ = {
			isa = PBXGroup;
			children = (
				85F1724228310A2100826FC2 /* FavoriteCoinsTVCell.swift */,
			);
			path = views;
			sourceTree = "<group>";
		};
		85F1724B28310F1300826FC2 /* views */ = {
			isa = PBXGroup;
			children = (
				85F1724C28310F1800826FC2 /* ReloadButton */,
			);
			path = views;
			sourceTree = "<group>";
		};
		85F1724C28310F1800826FC2 /* ReloadButton */ = {
			isa = PBXGroup;
			children = (
				85F1724D28310F2200826FC2 /* ReloadButtonView.swift */,
			);
			path = ReloadButton;
			sourceTree = "<group>";
		};
		85F172532831414000826FC2 /* AddCoin */ = {
			isa = PBXGroup;
			children = (
				85F172542831414700826FC2 /* views */,
				85F172552831414C00826FC2 /* models */,
				85F172562831416600826FC2 /* AddCoinVC.swift */,
				85F172582831416D00826FC2 /* AddCoinPresenter.swift */,
				85F1725A2831417800826FC2 /* AddCoinInteractor.swift */,
				85F1725C2831418000826FC2 /* AddCoinDataManager.swift */,
				85F1725E2831418F00826FC2 /* AddCoinRouter.swift */,
			);
			path = AddCoin;
			sourceTree = "<group>";
		};
		85F172542831414700826FC2 /* views */ = {
			isa = PBXGroup;
			children = (
				85F1726028314B8300826FC2 /* AddCoinCVCell.swift */,
			);
			path = views;
			sourceTree = "<group>";
		};
		85F172552831414C00826FC2 /* models */ = {
			isa = PBXGroup;
			children = (
				85F1726428315BF900826FC2 /* CoinVM.swift */,
			);
			path = models;
			sourceTree = "<group>";
		};
		BDF69CA27FDDB36FE0B19DF2 /* Pods */ = {
			isa = PBXGroup;
			children = (
				B7CC3E352D0EDAC9692EB934 /* Pods-Crypto Rater.debug.xcconfig */,
				2A5949726D57E64F1C949EC3 /* Pods-Crypto Rater.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		D6E18FDBC53C38363D39749B /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				5815812E06808ACFB748E020 /* Pods_Crypto_Rater.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		853C6C712830DB4E002DECB4 /* Crypto Rater */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 853C6C862830DB50002DECB4 /* Build configuration list for PBXNativeTarget "Crypto Rater" */;
			buildPhases = (
				18708858A6E6538ED228DD6A /* [CP] Check Pods Manifest.lock */,
				853C6C6E2830DB4E002DECB4 /* Sources */,
				853C6C6F2830DB4E002DECB4 /* Frameworks */,
				853C6C702830DB4E002DECB4 /* Resources */,
				429327C13C9D1C45B481BA61 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Crypto Rater";
			productName = "Crypto Rater";
			productReference = 853C6C722830DB4E002DECB4 /* Crypto Rater.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		853C6C6A2830DB4D002DECB4 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1300;
				LastUpgradeCheck = 1300;
				TargetAttributes = {
					853C6C712830DB4E002DECB4 = {
						CreatedOnToolsVersion = 13.0;
					};
				};
			};
			buildConfigurationList = 853C6C6D2830DB4D002DECB4 /* Build configuration list for PBXProject "Crypto Rater" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 853C6C692830DB4D002DECB4;
			productRefGroup = 853C6C732830DB4E002DECB4 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				853C6C712830DB4E002DECB4 /* Crypto Rater */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		853C6C702830DB4E002DECB4 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				853C6C822830DB50002DECB4 /* LaunchScreen.storyboard in Resources */,
				853C6C7F2830DB50002DECB4 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		18708858A6E6538ED228DD6A /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Crypto Rater-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		429327C13C9D1C45B481BA61 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Crypto Rater/Pods-Crypto Rater-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Crypto Rater/Pods-Crypto Rater-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Crypto Rater/Pods-Crypto Rater-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		853C6C6E2830DB4E002DECB4 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				85F1724E28310F2200826FC2 /* ReloadButtonView.swift in Sources */,
				85F172672831792500826FC2 /* Debouncer.swift in Sources */,
				85F1721D2830E86200826FC2 /* UIImageView+Extensions.swift in Sources */,
				85F1722E2830FF3B00826FC2 /* ExchangeRateResponseModel.swift in Sources */,
				85F1723F28310A1000826FC2 /* FavoriteCoinsDataManager.swift in Sources */,
				85F1724128310A1700826FC2 /* FavoriteCoinRateVM.swift in Sources */,
				85F1725F2831418F00826FC2 /* AddCoinRouter.swift in Sources */,
				85F1721B2830E60C00826FC2 /* String+Extensions.swift in Sources */,
				85F172522831133200826FC2 /* Constants.swift in Sources */,
				85F1723D28310A0000826FC2 /* FavoriteCoinsInteractor.swift in Sources */,
				85F172162830E11B00826FC2 /* App.swift in Sources */,
				85F1724528310A6100826FC2 /* FavoriteCoinsRouter.swift in Sources */,
				85F172212830E98300826FC2 /* UIViewController+Extensions.swift in Sources */,
				85F1726528315BF900826FC2 /* CoinVM.swift in Sources */,
				85F172502831119200826FC2 /* UIView+Extensions.swift in Sources */,
				85F1726128314B8300826FC2 /* AddCoinCVCell.swift in Sources */,
				85F172272830EAF400826FC2 /* BaseViewController.swift in Sources */,
				85F172592831416D00826FC2 /* AddCoinPresenter.swift in Sources */,
				853C6C762830DB4E002DECB4 /* AppDelegate.swift in Sources */,
				85F1722A2830F0D100826FC2 /* StorageManager.swift in Sources */,
				85F172192830E60200826FC2 /* UIColor+Extensions.swift in Sources */,
				85F1723B283109F400826FC2 /* FavoriteCoinsPresenter.swift in Sources */,
				85F1725D2831418000826FC2 /* AddCoinDataManager.swift in Sources */,
				85F17234283102E400826FC2 /* NetworkManager.swift in Sources */,
				85F1724828310DBA00826FC2 /* FavoriteCoinsVC.swift in Sources */,
				85F1726328314E7E00826FC2 /* CoinInfoResponseModel.swift in Sources */,
				85F17232283101F700826FC2 /* RequestParam.swift in Sources */,
				85F1721F2830E93F00826FC2 /* UILabel+Extensions.swift in Sources */,
				85F172572831416600826FC2 /* AddCoinVC.swift in Sources */,
				85F1725B2831417800826FC2 /* AddCoinInteractor.swift in Sources */,
				85F1724328310A2100826FC2 /* FavoriteCoinsTVCell.swift in Sources */,
				85F172302830FFA500826FC2 /* CryptoCompareAPI.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		853C6C802830DB50002DECB4 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				853C6C812830DB50002DECB4 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		853C6C842830DB50002DECB4 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		853C6C852830DB50002DECB4 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		853C6C872830DB50002DECB4 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B7CC3E352D0EDAC9692EB934 /* Pods-Crypto Rater.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = QQA2483P3X;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = "Crypto Rater/Info.plist";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UIUserInterfaceStyle = Light;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "uz.yunus.Crypto-Rater";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		853C6C882830DB50002DECB4 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 2A5949726D57E64F1C949EC3 /* Pods-Crypto Rater.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = QQA2483P3X;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = "Crypto Rater/Info.plist";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UIUserInterfaceStyle = Light;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "uz.yunus.Crypto-Rater";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		853C6C6D2830DB4D002DECB4 /* Build configuration list for PBXProject "Crypto Rater" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				853C6C842830DB50002DECB4 /* Debug */,
				853C6C852830DB50002DECB4 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		853C6C862830DB50002DECB4 /* Build configuration list for PBXNativeTarget "Crypto Rater" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				853C6C872830DB50002DECB4 /* Debug */,
				853C6C882830DB50002DECB4 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 853C6C6A2830DB4D002DECB4 /* Project object */;
}
